| Home | Libraries | People | FAQ | More

##### value::operator==

Return `true` if two values are equal.

###### Synopsis

Defined in header `<boost/json/value.hpp>`

    bool
    operator==(
        value const& lhs,
        value const& rhs);

###### Description

Two values are equal when they are the same kind and their referenced values are equal, or when they are both integral types and their integral representations are equal.

###### Complexity

Constant or linear in the size of the array, object, or string.

###### Exception Safety

No-throw guarantee.

Convenience header `<boost/json.hpp>`